# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AcceptedAudiences,
    AttachedDatabaseConfiguration,
    AttachedDatabaseConfigurationListResult,
    AttachedDatabaseConfigurationsCheckNameRequest,
    AzureCapacity,
    AzureResourceSku,
    AzureSku,
    CalloutPoliciesList,
    CalloutPolicy,
    CalloutPolicyToRemove,
    CheckNameRequest,
    CheckNameResult,
    Cluster,
    ClusterCheckNameRequest,
    ClusterListResult,
    ClusterMigrateRequest,
    ClusterPrincipalAssignment,
    ClusterPrincipalAssignmentCheckNameRequest,
    ClusterPrincipalAssignmentListResult,
    ClusterUpdate,
    ComponentsSgqdofSchemasIdentityPropertiesUserassignedidentitiesAdditionalproperties,
    CosmosDbDataConnection,
    DataConnection,
    DataConnectionCheckNameRequest,
    DataConnectionListResult,
    DataConnectionValidation,
    DataConnectionValidationListResult,
    DataConnectionValidationResult,
    Database,
    DatabaseInviteFollowerRequest,
    DatabaseInviteFollowerResult,
    DatabaseListResult,
    DatabasePrincipal,
    DatabasePrincipalAssignment,
    DatabasePrincipalAssignmentCheckNameRequest,
    DatabasePrincipalAssignmentListResult,
    DatabasePrincipalListRequest,
    DatabasePrincipalListResult,
    DatabaseStatistics,
    DiagnoseVirtualNetworkResult,
    EndpointDependency,
    EndpointDetail,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    EventGridDataConnection,
    EventHubDataConnection,
    FollowerDatabaseDefinition,
    FollowerDatabaseDefinitionGet,
    FollowerDatabaseListResult,
    FollowerDatabaseListResultGet,
    Identity,
    IotHubDataConnection,
    KeyVaultProperties,
    LanguageExtension,
    LanguageExtensionsList,
    ListResourceSkusResult,
    ManagedPrivateEndpoint,
    ManagedPrivateEndpointListResult,
    ManagedPrivateEndpointsCheckNameRequest,
    MigrationClusterProperties,
    Operation,
    OperationDisplay,
    OperationListResult,
    OperationResult,
    OptimizedAutoscale,
    OutboundNetworkDependenciesEndpoint,
    OutboundNetworkDependenciesEndpointListResult,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointProperty,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionStateProperty,
    ProxyResource,
    ReadOnlyFollowingDatabase,
    ReadWriteDatabase,
    Resource,
    ResourceSkuCapabilities,
    ResourceSkuZoneDetails,
    SandboxCustomImage,
    SandboxCustomImagesCheckNameRequest,
    SandboxCustomImagesListResult,
    Script,
    ScriptCheckNameRequest,
    ScriptListResult,
    SkuDescription,
    SkuDescriptionList,
    SkuLocationInfoItem,
    SuspensionDetails,
    SystemData,
    TableLevelSharingProperties,
    TrackedResource,
    TrustedExternalTenant,
    VirtualNetworkConfiguration,
)

from ._kusto_management_client_enums import (  # type: ignore
    AzureScaleType,
    AzureSkuName,
    AzureSkuTier,
    BlobStorageEventType,
    CallerRole,
    CalloutType,
    ClusterNetworkAccessFlag,
    ClusterPrincipalRole,
    Compression,
    CreatedByType,
    DataConnectionKind,
    DatabasePrincipalRole,
    DatabasePrincipalType,
    DatabaseRouting,
    DatabaseShareOrigin,
    DefaultPrincipalsModificationKind,
    EngineType,
    EventGridDataFormat,
    EventHubDataFormat,
    IdentityType,
    IotHubDataFormat,
    Kind,
    Language,
    LanguageExtensionImageName,
    LanguageExtensionName,
    MigrationClusterRole,
    OutboundAccess,
    PrincipalPermissionsAction,
    PrincipalType,
    PrincipalsModificationKind,
    ProvisioningState,
    PublicIPType,
    PublicNetworkAccess,
    Reason,
    ScriptLevel,
    State,
    Status,
    Type,
    VnetState,
    ZoneStatus,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AcceptedAudiences",
    "AttachedDatabaseConfiguration",
    "AttachedDatabaseConfigurationListResult",
    "AttachedDatabaseConfigurationsCheckNameRequest",
    "AzureCapacity",
    "AzureResourceSku",
    "AzureSku",
    "CalloutPoliciesList",
    "CalloutPolicy",
    "CalloutPolicyToRemove",
    "CheckNameRequest",
    "CheckNameResult",
    "Cluster",
    "ClusterCheckNameRequest",
    "ClusterListResult",
    "ClusterMigrateRequest",
    "ClusterPrincipalAssignment",
    "ClusterPrincipalAssignmentCheckNameRequest",
    "ClusterPrincipalAssignmentListResult",
    "ClusterUpdate",
    "ComponentsSgqdofSchemasIdentityPropertiesUserassignedidentitiesAdditionalproperties",
    "CosmosDbDataConnection",
    "DataConnection",
    "DataConnectionCheckNameRequest",
    "DataConnectionListResult",
    "DataConnectionValidation",
    "DataConnectionValidationListResult",
    "DataConnectionValidationResult",
    "Database",
    "DatabaseInviteFollowerRequest",
    "DatabaseInviteFollowerResult",
    "DatabaseListResult",
    "DatabasePrincipal",
    "DatabasePrincipalAssignment",
    "DatabasePrincipalAssignmentCheckNameRequest",
    "DatabasePrincipalAssignmentListResult",
    "DatabasePrincipalListRequest",
    "DatabasePrincipalListResult",
    "DatabaseStatistics",
    "DiagnoseVirtualNetworkResult",
    "EndpointDependency",
    "EndpointDetail",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "EventGridDataConnection",
    "EventHubDataConnection",
    "FollowerDatabaseDefinition",
    "FollowerDatabaseDefinitionGet",
    "FollowerDatabaseListResult",
    "FollowerDatabaseListResultGet",
    "Identity",
    "IotHubDataConnection",
    "KeyVaultProperties",
    "LanguageExtension",
    "LanguageExtensionsList",
    "ListResourceSkusResult",
    "ManagedPrivateEndpoint",
    "ManagedPrivateEndpointListResult",
    "ManagedPrivateEndpointsCheckNameRequest",
    "MigrationClusterProperties",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OperationResult",
    "OptimizedAutoscale",
    "OutboundNetworkDependenciesEndpoint",
    "OutboundNetworkDependenciesEndpointListResult",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointProperty",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionStateProperty",
    "ProxyResource",
    "ReadOnlyFollowingDatabase",
    "ReadWriteDatabase",
    "Resource",
    "ResourceSkuCapabilities",
    "ResourceSkuZoneDetails",
    "SandboxCustomImage",
    "SandboxCustomImagesCheckNameRequest",
    "SandboxCustomImagesListResult",
    "Script",
    "ScriptCheckNameRequest",
    "ScriptListResult",
    "SkuDescription",
    "SkuDescriptionList",
    "SkuLocationInfoItem",
    "SuspensionDetails",
    "SystemData",
    "TableLevelSharingProperties",
    "TrackedResource",
    "TrustedExternalTenant",
    "VirtualNetworkConfiguration",
    "AzureScaleType",
    "AzureSkuName",
    "AzureSkuTier",
    "BlobStorageEventType",
    "CallerRole",
    "CalloutType",
    "ClusterNetworkAccessFlag",
    "ClusterPrincipalRole",
    "Compression",
    "CreatedByType",
    "DataConnectionKind",
    "DatabasePrincipalRole",
    "DatabasePrincipalType",
    "DatabaseRouting",
    "DatabaseShareOrigin",
    "DefaultPrincipalsModificationKind",
    "EngineType",
    "EventGridDataFormat",
    "EventHubDataFormat",
    "IdentityType",
    "IotHubDataFormat",
    "Kind",
    "Language",
    "LanguageExtensionImageName",
    "LanguageExtensionName",
    "MigrationClusterRole",
    "OutboundAccess",
    "PrincipalPermissionsAction",
    "PrincipalType",
    "PrincipalsModificationKind",
    "ProvisioningState",
    "PublicIPType",
    "PublicNetworkAccess",
    "Reason",
    "ScriptLevel",
    "State",
    "Status",
    "Type",
    "VnetState",
    "ZoneStatus",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
